<?php
// 定义路径
define('MVC_PATH', dirname(__FILE__));
define('CONTROLLERS_PATH', MVC_PATH.'/controllers');
define('VIEWS_PATH', MVC_PATH . '/views');


$mod = $_REQUEST['mod'] = !empty($_REQUEST['mod']) ? $_REQUEST['mod'] : 'main';
$act = $_REQUEST['act'] = !empty($_REQUEST['act']) ? $_REQUEST['act'] : 'index';
require CONTROLLERS_PATH . '/controller.php';
require CONTROLLERS_PATH . '/' . $mod . '.php';
$c = new $mod();
$c->$act();
?>